Package org.eclipse.net4j.util.io

## Class IORuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.io.IORuntimeException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class IORuntimeException
      extends java.lang.RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IORuntimeException()` |
    `IORuntimeException​(java.lang.String message)` |
    `IORuntimeException​(java.lang.String message, java.lang.Throwable cause)` |
    `IORuntimeException​(java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `rethrow()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IORuntimeException

          public IORuntimeException()

    - #### IORuntimeException

          public IORuntimeException​(java.lang.String message)

    - #### IORuntimeException

          public IORuntimeException​(java.lang.Throwable cause)

    - #### IORuntimeException

          public IORuntimeException​(java.lang.String message,
                                    java.lang.Throwable cause)

  - ### Method Detail

    - #### rethrow

          public void rethrow()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.16